cascading.tap

## Class CompositeTaps

- java.lang.Object
- - cascading.tap.CompositeTaps

-     public class CompositeTaps
      extends java.lang.Object

  Helper utilities for `CompositeTap` instances.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Collection<Tap>` | `unwind(Tap tap)`
    `static java.util.Collection<? extends Tap>` | `unwindNarrow(java.lang.Class<? extends Tap> type, Tap tap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### unwindNarrow

          public static java.util.Collection<? extends Tap> unwindNarrow(java.lang.Class<? extends Tap> type,
                                                         Tap tap)

    - #### unwind

          public static java.util.Collection<Tap> unwind(Tap tap)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.